Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 1a2bc54656c16123bf3667cd4337994ced5da085)
+++ chapter01/changelog.xml	(revision 2b74b7dec173e5f1cc1a6b8f1db4eec11aa5ab82)
@@ -44,4 +44,34 @@
 -->
     <listitem>
+      <para>2017-10-20</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gawk-4.2.0.  Fixes
+          <ulink url="&lfs-ticket-root;4155">#4155</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expect-5.45.3.  Fixes
+          <ulink url="&lfs-ticket-root;4154">#4154</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.43.7.  Fixes
+          <ulink url="&lfs-ticket-root;4152">#4152</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to dejagnu-1.6.1.  Fixes
+          <ulink url="&lfs-ticket-root;4151">#4151</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.13.8.  Fixes
+          <ulink url="&lfs-ticket-root;4153">#4153</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux v2.31.  Fixes
+          <ulink url="&lfs-ticket-root;4145">#4145</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-10-15</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 1a2bc54656c16123bf3667cd4337994ced5da085)
+++ chapter01/whatsnew.xml	(revision 2b74b7dec173e5f1cc1a6b8f1db4eec11aa5ab82)
@@ -60,7 +60,7 @@
       <para>Coreutils-&coreutils-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>DejaGNU-&dejagnu-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
@@ -78,7 +78,7 @@
       <para>Expat-&expat-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Expect-&expect-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>File-&file-version;</para>
@@ -90,7 +90,7 @@
       <para>Flex-&flex-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Gawk-&gawk-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GCC-&gcc-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 1a2bc54656c16123bf3667cd4337994ced5da085)
+++ general.ent	(revision 2b74b7dec173e5f1cc1a6b8f1db4eec11aa5ab82)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20171015">
+<!ENTITY version         "SVN-20171020">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20171015-systemd">
+<!ENTITY versiond        "20171020-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 15, 2017">
+<!ENTITY releasedate     "October 20, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 1a2bc54656c16123bf3667cd4337994ced5da085)
+++ packages.ent	(revision 2b74b7dec173e5f1cc1a6b8f1db4eec11aa5ab82)
@@ -117,8 +117,8 @@
 <!ENTITY dbus-ch6-sbu "0.3 SBU">
 
-<!ENTITY dejagnu-version "1.6">
-<!ENTITY dejagnu-size "512 KB">
+<!ENTITY dejagnu-version "1.6.1">
+<!ENTITY dejagnu-size "514 KB">
 <!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
-<!ENTITY dejagnu-md5 "1fdc2eb0d592c4f89d82d24dfdf02f0b">
+<!ENTITY dejagnu-md5 "2ac8405a4c7ca8611d004fe852966c6f">
 <!ENTITY dejagnu-home "&gnu-software;dejagnu/">
 <!ENTITY dejagnu-ch5-du "3.2 MB">
@@ -138,8 +138,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.43.6">
-<!ENTITY e2fsprogs-size "7,303 KB">
+<!ENTITY e2fsprogs-version "1.43.7">
+<!ENTITY e2fsprogs-size "7,318 KB">
 <!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "94fb7105284474a71cf5dd0e03b92661">
+<!ENTITY e2fsprogs-md5 "6d1338c7f4b325e55e5b60ceb7c52a6c">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
@@ -161,9 +161,9 @@
 <!ENTITY expat-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY expect-version "5.45">
+<!ENTITY expect-version "5.45.3">
 <!ENTITY expect-lib-version "5.45">
-<!ENTITY expect-size "614 KB">
+<!ENTITY expect-size "611 KB">
 <!ENTITY expect-url "&sourceforge;expect/expect&expect-version;.tar.gz">
-<!ENTITY expect-md5 "44e1a4f4c877e9ddc5a542dfa7ecc92b">
+<!ENTITY expect-md5 "a8855cd41c1ef004b9794db9e2a57a9d">
 <!ENTITY expect-home "http://expect.sourceforge.net/">
 <!ENTITY expect-ch5-du "4.3 MB">
@@ -198,8 +198,8 @@
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
-<!ENTITY gawk-version "4.1.4">
-<!ENTITY gawk-size "2,313 KB">
+<!ENTITY gawk-version "4.2.0">
+<!ENTITY gawk-size "2,880 KB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.xz">
-<!ENTITY gawk-md5 "4e7dbc81163e60fd4f0b52496e7542c9">
+<!ENTITY gawk-md5 "f26c469addc67d88034b01b62ebab284">
 <!ENTITY gawk-home "&gnu-software;gawk/">
 <!ENTITY gawk-ch5-du "35 MB">
@@ -409,10 +409,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "13">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "8">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,244 KB">
+<!ENTITY linux-size "98,222 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "cd49d80f54cbe6a3cd1dc51d28648848">
+<!ENTITY linux-md5 "14121b587ba1a526c0ca4c42f4ea98d3">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -654,8 +654,8 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-version "2.30.2">
-<!ENTITY util-linux-size "4,339 KB">
+<!ENTITY util-linux-version "2.31">
+<!ENTITY util-linux-size "4,390 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.30/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "23a5dce0030144a42676b92310026bac">
+<!ENTITY util-linux-md5 "5b6821c403c3cc6e7775f74df1882a20">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "123 MB">
